package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ReceTypeFactory
{
    private ReceTypeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IReceType getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IReceType)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("AA2C948D") ,com.kingdee.eas.custom.gggl.IReceType.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IReceType getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IReceType)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("AA2C948D") ,com.kingdee.eas.custom.gggl.IReceType.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IReceType getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IReceType)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("AA2C948D"));
    }
    public static com.kingdee.eas.custom.gggl.IReceType getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IReceType)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("AA2C948D"));
    }
}